Commands Interaction
Total endpoints: 33
Example base URL: https://<ROBOT_IP>/rest
Required access for this section: USER
Adjust Pitch
- Endpoint:
/api/v2/commands/adjust_pitch/ - Function: Execute the
adjust_pitchcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,FloatValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/adjust_pitch/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": 1.0}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/adjust_pitch/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 1.0}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Animation
- Endpoint:
/api/v2/commands/animation/ - Function: Execute the
animationcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/animation/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/animation/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Animations Intensity
- Endpoint:
/api/v2/commands/animations_intensity/ - Function: Execute the
animations_intensitycommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,FloatValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/animations_intensity/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": 1.0}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/animations_intensity/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 1.0}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Attention Preference
- Endpoint:
/api/v2/commands/attention_preference/ - Function: Execute the
attention_preferencecommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/attention_preference/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/attention_preference/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Background Emotion Intensity
- Endpoint:
/api/v2/commands/background_emotion_intensity/ - Function: Execute the
background_emotion_intensitycommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,FloatValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/background_emotion_intensity/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": 1.0}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/background_emotion_intensity/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 1.0}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Cancel Animation
- Endpoint:
/api/v2/commands/cancel_animation/ - Function: Execute the
cancel_animationcommand through the v2 command bridge. - Method:
POST - Parameters: none
- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/cancel_animation/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/cancel_animation/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Cancel Expressive Background Animation
- Endpoint:
/api/v2/commands/cancel_expressive_background_animation/ - Function: Execute the
cancel_expressive_background_animationcommand through the v2 command bridge. - Method:
POST - Parameters: none
- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/cancel_expressive_background_animation/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/cancel_expressive_background_animation/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Cancel Interactive Background Animation
- Endpoint:
/api/v2/commands/cancel_interactive_background_animation/ - Function: Execute the
cancel_interactive_background_animationcommand through the v2 command bridge. - Method:
POST - Parameters: none
- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/cancel_interactive_background_animation/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/cancel_interactive_background_animation/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Change Default Base Emotion
- Endpoint:
/api/v2/commands/change_default_base_emotion/ - Function: Execute the
change_default_base_emotioncommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/change_default_base_emotion/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/change_default_base_emotion/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Change Default Interactive State
- Endpoint:
/api/v2/commands/change_default_interactive_state/ - Function: Execute the
change_default_interactive_statecommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/change_default_interactive_state/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/change_default_interactive_state/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
{
"command": {
"command": "change_default_interactive_state",
"value": "example"
},
"result": "value"
}
Note: Payload depends on the executed command.
Emotions
- Endpoint:
/api/v2/commands/emotions/ - Function: Execute the
emotionscommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/emotions/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/emotions/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Firefly Behavior
- Endpoint:
/api/v2/commands/firefly_behavior/ - Function: Execute the
firefly_behaviorcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/firefly_behavior/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/firefly_behavior/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Human Neck Roll
- Endpoint:
/api/v2/commands/get_human_neck_roll/ - Function: Execute the
get_human_neck_rollcommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_human_neck_roll/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_human_neck_roll/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Humans Relative Positions
- Endpoint:
/api/v2/commands/get_humans_relative_positions/ - Function: Execute the
get_humans_relative_positionscommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_humans_relative_positions/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_humans_relative_positions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Perceived Emotions
- Endpoint:
/api/v2/commands/get_perceived_emotions/ - Function: Execute the
get_perceived_emotionscommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_perceived_emotions/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_perceived_emotions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Position Of
- Endpoint:
/api/v2/commands/get_position_of/ - Function: Execute the
get_position_ofcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/get_position_of/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_position_of/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Is Carrying Too Heavy Payload
- Endpoint:
/api/v2/commands/is_carrying_too_heavy_payload/ - Function: Execute the
is_carrying_too_heavy_payloadcommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/is_carrying_too_heavy_payload/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/is_carrying_too_heavy_payload/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Is Seeing
- Endpoint:
/api/v2/commands/is_seeing/ - Function: Execute the
is_seeingcommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/is_seeing/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Is Seeing Handle
- Endpoint:
/api/v2/commands/is_seeing_handle/ - Function: Execute the
is_seeing_handlecommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/is_seeing_handle/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/is_seeing_handle/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Is Seeing Human
- Endpoint:
/api/v2/commands/is_seeing_human/ - Function: Execute the
is_seeing_humancommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/is_seeing_human/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/is_seeing_human/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Is Sleeping
- Endpoint:
/api/v2/commands/is_sleeping/ - Function: Execute the
is_sleepingcommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/is_sleeping/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Eyes Look At Target
- Endpoint:
/api/v2/commands/eyes_look_at_target/ - Function: Execute the
eyes_look_at_targetcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,ListValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/eyes_look_at_target/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": [0.0, 0.0, 1.0]}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/eyes_look_at_target/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': [0.0, 0.0, 1.0]}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Head Look At Target
- Endpoint:
/api/v2/commands/head_look_at_target/ - Function: Execute the
head_look_at_targetcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,ListValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/head_look_at_target/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": [0.0, 0.0, 1.0]}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/head_look_at_target/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': [0.0, 0.0, 1.0]}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Play Animation
- Endpoint:
/api/v2/commands/play_animation/ - Function: Execute the
play_animationcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/play_animation/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/play_animation/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Play Sound
- Endpoint:
/api/v2/commands/play_sound/ - Function: Execute the
play_soundcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/play_sound/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/play_sound/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Set Enable Arms
- Endpoint:
/api/v2/commands/set_enable_arms/ - Function: Execute the
set_enable_armscommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,BoolValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_enable_arms/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": true}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/set_enable_arms/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Set Enable Autonomous Arms
- Endpoint:
/api/v2/commands/set_enable_autonomous_arms/ - Function: Execute the
set_enable_autonomous_armscommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,BoolValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_enable_autonomous_arms/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": true}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/set_enable_autonomous_arms/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Set Eyes Tracking
- Endpoint:
/api/v2/commands/set_eyes_tracking/ - Function: Execute the
set_eyes_trackingcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,BoolValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_eyes_tracking/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": true}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/set_eyes_tracking/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Set Play Sound
- Endpoint:
/api/v2/commands/set_play_sound/ - Function: Execute the
set_play_soundcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,BoolValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_play_sound/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": true}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/set_play_sound/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Set Tempo
- Endpoint:
/api/v2/commands/set_tempo/ - Function: Execute the
set_tempocommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,FloatValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_tempo/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": 1.0}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/set_tempo/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 1.0}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Sound
- Endpoint:
/api/v2/commands/sound/ - Function: Execute the
soundcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/sound/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/sound/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Sound Level
- Endpoint:
/api/v2/commands/sound_level/ - Function: Execute the
sound_levelcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,IntValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/sound_level/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": 1}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/sound_level/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 1}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Tts
- Endpoint:
/api/v2/commands/tts/ - Function: Execute the
ttscommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/tts/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/tts/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.